Commit de9aa5a7 authored by Peter Eisentraut's avatar Peter Eisentraut

Check and document minimum required version of libxml.

parent fe733968
...@@ -7307,9 +7307,9 @@ fi ...@@ -7307,9 +7307,9 @@ fi
if test "$with_libxml" = yes ; then if test "$with_libxml" = yes ; then
echo "$as_me:$LINENO: checking for xmlInitParser in -lxml2" >&5 echo "$as_me:$LINENO: checking for xmlSaveToBuffer in -lxml2" >&5
echo $ECHO_N "checking for xmlInitParser in -lxml2... $ECHO_C" >&6 echo $ECHO_N "checking for xmlSaveToBuffer in -lxml2... $ECHO_C" >&6
if test "${ac_cv_lib_xml2_xmlInitParser+set}" = set; then if test "${ac_cv_lib_xml2_xmlSaveToBuffer+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6 echo $ECHO_N "(cached) $ECHO_C" >&6
else else
ac_check_lib_save_LIBS=$LIBS ac_check_lib_save_LIBS=$LIBS
...@@ -7327,11 +7327,11 @@ extern "C" ...@@ -7327,11 +7327,11 @@ extern "C"
#endif #endif
/* We use char because int might match the return type of a gcc2 /* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */ builtin and then its argument prototype would still apply. */
char xmlInitParser (); char xmlSaveToBuffer ();
int int
main () main ()
{ {
xmlInitParser (); xmlSaveToBuffer ();
; ;
return 0; return 0;
} }
...@@ -7358,20 +7358,20 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 ...@@ -7358,20 +7358,20 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
ac_status=$? ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5 echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then (exit $ac_status); }; }; then
ac_cv_lib_xml2_xmlInitParser=yes ac_cv_lib_xml2_xmlSaveToBuffer=yes
else else
echo "$as_me: failed program was:" >&5 echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5 sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_xml2_xmlInitParser=no ac_cv_lib_xml2_xmlSaveToBuffer=no
fi fi
rm -f conftest.err conftest.$ac_objext \ rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS LIBS=$ac_check_lib_save_LIBS
fi fi
echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_xmlInitParser" >&5 echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_xmlSaveToBuffer" >&5
echo "${ECHO_T}$ac_cv_lib_xml2_xmlInitParser" >&6 echo "${ECHO_T}$ac_cv_lib_xml2_xmlSaveToBuffer" >&6
if test $ac_cv_lib_xml2_xmlInitParser = yes; then if test $ac_cv_lib_xml2_xmlSaveToBuffer = yes; then
cat >>confdefs.h <<_ACEOF cat >>confdefs.h <<_ACEOF
#define HAVE_LIBXML2 1 #define HAVE_LIBXML2 1
_ACEOF _ACEOF
...@@ -7379,8 +7379,8 @@ _ACEOF ...@@ -7379,8 +7379,8 @@ _ACEOF
LIBS="-lxml2 $LIBS" LIBS="-lxml2 $LIBS"
else else
{ { echo "$as_me:$LINENO: error: library 'xml2' is required for XML support" >&5 { { echo "$as_me:$LINENO: error: library 'xml2' (version >= 2.6.23) is required for XML support" >&5
echo "$as_me: error: library 'xml2' is required for XML support" >&2;} echo "$as_me: error: library 'xml2' (version >= 2.6.23) is required for XML support" >&2;}
{ (exit 1); exit 1; }; } { (exit 1); exit 1; }; }
fi fi
......
dnl Process this file with autoconf to produce a configure script. dnl Process this file with autoconf to produce a configure script.
dnl $PostgreSQL: pgsql/configure.in,v 1.495 2007/01/05 22:19:17 momjian Exp $ dnl $PostgreSQL: pgsql/configure.in,v 1.496 2007/01/07 21:10:40 petere Exp $
dnl dnl
dnl Developers, please strive to achieve this order: dnl Developers, please strive to achieve this order:
dnl dnl
...@@ -724,7 +724,7 @@ if test "$with_pam" = yes ; then ...@@ -724,7 +724,7 @@ if test "$with_pam" = yes ; then
fi fi
if test "$with_libxml" = yes ; then if test "$with_libxml" = yes ; then
AC_CHECK_LIB(xml2, xmlInitParser, [], [AC_MSG_ERROR([library 'xml2' is required for XML support])]) AC_CHECK_LIB(xml2, xmlSaveToBuffer, [], [AC_MSG_ERROR([library 'xml2' (version >= 2.6.23) is required for XML support])])
fi fi
......
<!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.270 2006/12/24 00:29:17 tgl Exp $ --> <!-- $PostgreSQL: pgsql/doc/src/sgml/installation.sgml,v 1.271 2007/01/07 21:10:41 petere Exp $ -->
<chapter id="installation"> <chapter id="installation">
<title><![%standalone-include[<productname>PostgreSQL</>]]> <title><![%standalone-include[<productname>PostgreSQL</>]]>
...@@ -909,7 +909,8 @@ su - postgres ...@@ -909,7 +909,8 @@ su - postgres
<term><option>--with-libxml</option></term> <term><option>--with-libxml</option></term>
<listitem> <listitem>
<para> <para>
Build with libxml (enables SQL/XML support). Build with libxml (enables SQL/XML support). Libxml version 2.6.23 or
later is required for this feature.
</para> </para>
</listitem> </listitem>
</varlistentry> </varlistentry>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment